search in docstrings

Search bar offers the following options:

- Term presence. The below example searches for documents that must contain “foo”, might contain “bar” and must not contain “baz”: `+foo bar -baz`
- Wildcards. The below example searches for documents with words beginning with “foo”: `foo*`
- Search in specific fields. The following search matches all objects in "twisted.mail" that matches “search”: `+qname:twisted.mail.* +search`

  Possible fields: 'name', 'qname' (fully qualified name), 'docstring', and 'kind'. Last two fields are only applicable if "search in docstrings" is enabled.

- Fuzzy matches. The following search matches all documents that have a word within 1 edit distance of “foo”: `foo~1`

Results provided by Lunr.js

# ``igraph`.`seq``

module documentation
(source)

Undocumented

Function | `_add_proxy_methods` | Undocumented
Function | `_graphmethod` | Auxiliary decorator

def _add_proxy_methods(): (source)

Undocumented

def _graphmethod(func=None, name=None): (source)

Auxiliary decorator

This decorator allows some methods of `VertexSeq` and `EdgeSeq` to call their respective counterparts in `Graph` to avoid code duplication.

Parameters
func | the function being decorated. This function will be called on the results of the original `Graph` method. If `None`, defaults to the identity function.
name | the name of the corresponding method in `Graph`. If `None`, it defaults to the name of the decorated function.
Returns
the decorated function